Summary: A fast, read-only, anonymous FTP server.
Name: anonftp
Version: 3.0
Release: 3
Copyright: GPL
Group: System Environment/Daemons
Source: recompress.c
Prefix: /home/ftp
BuildRoot: /var/tmp/anonftp-root
AutoReqProv: 0
Requires: ftpserver
BuildPrereq: fileutils, glibc, tar, gzip, ncompress

%description
Anonftpd is a fast, read-only, anonymous FTP server. Anonymous FTP
access allows anyone to download files from an FTP server. Anonymous
FTP is a popular way of making files available via the Internet.

Install the anonftp package if you would like to enable anonymous 
FTP downloads from your FTP server.

%prep
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/ftp
mkdir -p $RPM_BUILD_ROOT/home/ftp/pub
mkdir -p $RPM_BUILD_ROOT/home/ftp/etc
mkdir -p $RPM_BUILD_ROOT/home/ftp/bin
mkdir -p $RPM_BUILD_ROOT/home/ftp/lib

cat > $RPM_BUILD_ROOT/home/ftp/etc/passwd <<EOF
root:*:0:0:::
bin:*:1:1:::
operator:*:11:0:::
ftp:*:14:50:::
nobody:*:99:99:::
EOF

cat > $RPM_BUILD_ROOT/home/ftp/etc/group <<EOF
root::0:
bin::1:
daemon::2:
sys::3:
adm::4:
ftp::50:
EOF

%define LDSOVER 2
%define LIBCVER 2.1.3
%define LIBNSSVER 2

%ifarch i386 sparc armv4l
LIBCSOVER=6
LIBNSLVER=1
%endif

%ifarch alpha
LIBCSOVER=6.1
LIBNSLVER=1.1
%endif

%define ROOT $RPM_BUILD_ROOT/home/ftp/lib

cp -fd /etc/ld.so.cache $RPM_BUILD_ROOT/home/ftp/etc
cp -fd /lib/libc.so.$LIBCSOVER /lib/libc-%{LIBCVER}.so %{ROOT}
cp -fd /lib/ld-linux.so.%{LDSOVER} /lib/ld-%{LIBCVER}.so %{ROOT}
cp -fd /lib/libnss_files-%{LIBCVER}.so \
	/lib/libnss_files.so.%{LIBNSSVER}	%{ROOT}
cp -fd /lib/libnsl-%{LIBCVER}.so /lib/libnsl.so.$LIBNSLVER %{ROOT}

%ifnarch armv4l
cp -fd	/lib/libnss1_files-%{LIBCVER}.so %{ROOT}
%endif

cp -fd /bin/ls /bin/cpio /bin/gzip /bin/tar $RPM_BUILD_ROOT/home/ftp/bin
# cp -fd /bin/ash $RPM_BUILD_ROOT/home/ftp/bin/sh
ln -sf gzip $RPM_BUILD_ROOT/home/ftp/bin/zcat
cp -fd /usr/bin/compress $RPM_BUILD_ROOT/home/ftp/bin

gcc $RPM_OPT_FLAGS -o $RPM_BUILD_ROOT/home/ftp/bin/recompress %{SOURCE0}
strip -R .comments $RPM_BUILD_ROOT/home/ftp/lib/*
cd $RPM_BUILD_ROOT/home/ftp/bin/
strip -R .comments ls cpio gzip tar recompress 
cd -


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%attr(0444,root,root) %config /home/ftp/etc/passwd
%attr(0444,root,root) %config /home/ftp/etc/group

/home/ftp/etc/ld.so.cache
%ifarch alpha
/home/ftp/lib/libc.so.6.1
/home/ftp/lib/libnsl.so.1.1
%else
/home/ftp/lib/libc.so.6
/home/ftp/lib/libnsl.so.1
%endif
/home/ftp/lib/libc-%{LIBCVER}.so
/home/ftp/lib/ld-linux.so.%{LDSOVER}
/home/ftp/lib/ld-%{LIBCVER}.so
/home/ftp/lib/libnss_files-%{LIBCVER}.so
/home/ftp/lib/libnss_files.so.%{LIBNSSVER}
/home/ftp/lib/libnsl-%{LIBCVER}.so

%attr(0755,root,root) %dir /home/ftp
%attr(0111,root,root) %dir /home/ftp/bin
%attr(0111,root,root) %dir /home/ftp/etc
%attr(2755,root,ftp) %dir /home/ftp/pub
%dir /home/ftp/lib
%attr(0111,root,root) /home/ftp/bin/ls
%attr(0111,root,root) /home/ftp/bin/compress
%attr(0111,root,root) /home/ftp/bin/cpio
%attr(0111,root,root) /home/ftp/bin/gzip
# %attr(0111,root,root) /home/ftp/bin/sh
%attr(0111,root,root) /home/ftp/bin/tar
%attr(0111,root,root) /home/ftp/bin/zcat

%changelog
* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- strip binaries and libraries
- rebuild to get latest libc

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description and summary

* Tue Jan 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add BuildPrereqs
- newer libc
- add recompress from BeroFTPD - it's useful for ftpconversions
- remove sh. Having a shell in the chroot ftp-structure is a security
  problem, not a feature.
- fix build with rpm 3.0.4

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)
- glibc version 2.1.1

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- add sparc

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- fix defattr typo (#784)
- newer libc

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- abuse the %attr settings instead of massive chown
- avoid cp-av because it breaks on symlinks (the wonders of lchown/chown
- rebuild for glibc 2.1

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- newer libc

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated for the newer glibc libs

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- Built with glibc for the first time
- moved BuildRoot to /var/tmp
- mega-reworking of the spec file

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Requires ftpserver virtual package now (which wu-ftpd provides).

